package yuehaoxitong

import "shylinux.com/x/ice"

type userQueue struct{ Table }

func init() { ice.TeamCtxCmd(userQueue{}) }

type UserQueueRole int

const (
	UserQueueVisitor UserQueueRole = iota
	UserQueueCreator
	UserQueueManager
	UserQueueWorker
	UserQueueWaiter
)

var UserQueueRoleList = map[UserQueueRole]string{
	UserQueueVisitor: "visitor",
	UserQueueCreator: "creator",
	UserQueueManager: "manager",
	UserQueueWorker:  "worker",
	UserQueueWaiter:  "waiter",
}

func (s UserQueueRole) String() string { return UserQueueRoleList[s] }
