package renzhengshouquan

import "shylinux.com/x/ice"

type userAuth struct{ Table }

func init() { ice.TeamCtxCmd(userAuth{}) }

type UserAuthRole int

const (
	UserAuthVisitor UserAuthRole = iota
	UserAuthCreator
	UserAuthLeader
	UserAuthWorker
	UserAuthServer
)

var UserAuthRoleList = map[UserAuthRole]string{
	UserAuthVisitor: "visitor",
	UserAuthCreator: "creator",
	UserAuthLeader:  "leader",
	UserAuthWorker:  "worker",
	UserAuthServer:  "server",
}

func (s UserAuthRole) String() string { return UserAuthRoleList[s] }
